GNU Radio C++ API Reference: DisplayForm Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
DisplayForm Class Referenceabstract
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

Base class for setting up and managing QTGUI plot forms. More...

`#include <gnuradio/qtgui/displayform.h>`

## Public Slots
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Signals
void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)

## Public Member Functions
| DisplayForm (int nplots=1, QWidget *parent=0)
| ~DisplayForm () override
virtual DisplayPlot * | getPlot ()=0
void | Reset ()
void | enableMenu (bool en=true)

## Protected Attributes
unsigned int | d_nplots
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
bool | d_system_specified_flag
QwtPlotGrid * | d_grid
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

Base class for setting up and managing QTGUI plot forms.

## Constructor & Destructor Documentation

## ◆ DisplayForm()

DisplayForm::DisplayForm | ( | int | nplots = 1,
|  | QWidget * | parent = 0 )

## ◆ ~DisplayForm()

DisplayForm::~DisplayForm | ( |  | ) |
| override

## Member Function Documentation

## ◆ closeEvent

void DisplayForm::closeEvent | ( | QCloseEvent * | e | ) |
| overrideslot

## ◆ customEvent

void DisplayForm::customEvent | ( | QEvent * | e | ) |
| overridepure virtualslot

## ◆ disableLegend

void DisplayForm::disableLegend | ( |  | ) |
| slot

## ◆ enableMenu()

void DisplayForm::enableMenu | ( | bool | en = true | ) |

## ◆ getPlot()

virtual DisplayPlot * DisplayForm::getPlot | ( |  | ) |
| pure virtual

Implemented in ConstellationDisplayForm, FreqDisplayForm, HistogramDisplayForm, TimeDisplayForm, TimeRasterDisplayForm, VectorDisplayForm, and WaterfallDisplayForm.

## ◆ lineColor

QString DisplayForm::lineColor | ( | unsigned int | which | ) |
| slot

## ◆ lineLabel

QString DisplayForm::lineLabel | ( | unsigned int | which | ) |
| slot

## ◆ lineMarker

QwtSymbol::Style DisplayForm::lineMarker | ( | unsigned int | which | ) |
| slot

## ◆ lineStyle

Qt::PenStyle DisplayForm::lineStyle | ( | unsigned int | which | ) |
| slot

## ◆ lineWidth

int DisplayForm::lineWidth | ( | unsigned int | which | ) |
| slot

## ◆ markerAlpha

int DisplayForm::markerAlpha | ( | unsigned int | which | ) |
| slot

## ◆ mousePressEvent

void DisplayForm::mousePressEvent | ( | QMouseEvent * | e | ) |
| overrideslot

## ◆ plotPointSelected

void DisplayForm::plotPointSelected | ( | const QPointF | p,
|  | int | type )
| signal

## ◆ Reset()

void DisplayForm::Reset | ( |  | ) |

## ◆ saveFigure

void DisplayForm::saveFigure | ( |  | ) |
| slot

## ◆ setAxisLabels

void DisplayForm::setAxisLabels | ( | bool | en | ) |
| slot

## ◆ setGrid

void DisplayForm::setGrid | ( | bool | on | ) |
| slot

## ◆ setLineColor

void DisplayForm::setLineColor | ( | unsigned int | which,
|  | const QString & | color )
| slot

## ◆ setLineLabel

void DisplayForm::setLineLabel | ( | unsigned int | which,
|  | const QString & | label )
| slot

## ◆ setLineMarker

void DisplayForm::setLineMarker | ( | unsigned int | which,
|  | QwtSymbol::Style | style )
| slot

## ◆ setLineStyle

void DisplayForm::setLineStyle | ( | unsigned int | which,
|  | Qt::PenStyle | style )
| slot

## ◆ setLineWidth

void DisplayForm::setLineWidth | ( | unsigned int | which,
|  | unsigned int | width )
| slot

## ◆ setMarkerAlpha

void DisplayForm::setMarkerAlpha | ( | unsigned int | which,
|  | unsigned int | alpha )
| slot

## ◆ setSampleRate

virtual void DisplayForm::setSampleRate | ( | const QString & | rate | ) |
| virtualslot

## ◆ setStop [1/2]

void DisplayForm::setStop | ( |  | ) |
| slot

## ◆ setStop [2/2]

void DisplayForm::setStop | ( | bool | on | ) |
| slot

## ◆ setTitle

void DisplayForm::setTitle | ( | const QString & | title | ) |
| slot

References title().

## ◆ setUpdateTime

void DisplayForm::setUpdateTime | ( | double | t | ) |
| slot

## ◆ title

QString DisplayForm::title | ( |  | ) |
| slot

Referenced by setTitle().

## ◆ toggleGrid

void DisplayForm::toggleGrid | ( | bool | en | ) |
| signal

## Member Data Documentation

## ◆ d_autoscale_act

QAction* DisplayForm::d_autoscale_act
| protected

## ◆ d_autoscale_state

bool DisplayForm::d_autoscale_state
| protected

## ◆ d_axislabels

bool DisplayForm::d_axislabels
| protected

## ◆ d_axislabelsmenu

QAction* DisplayForm::d_axislabelsmenu
| protected

## ◆ d_display_plot

DisplayPlot* DisplayForm::d_display_plot
| protected

## ◆ d_grid

QwtPlotGrid* DisplayForm::d_grid
| protected

## ◆ d_grid_act

QAction* DisplayForm::d_grid_act
| protected

## ◆ d_grid_state

bool DisplayForm::d_grid_state
| protected

## ◆ d_layout

QGridLayout* DisplayForm::d_layout
| protected

## ◆ d_line_color_menu

QList<LineColorMenu*> DisplayForm::d_line_color_menu
| protected

## ◆ d_line_marker_menu

QList<LineMarkerMenu*> DisplayForm::d_line_marker_menu
| protected

## ◆ d_line_style_menu

QList<LineStyleMenu*> DisplayForm::d_line_style_menu
| protected

## ◆ d_line_title_act

QList<LineTitleAction*> DisplayForm::d_line_title_act
| protected

## ◆ d_line_width_menu

QList<LineWidthMenu*> DisplayForm::d_line_width_menu
| protected

## ◆ d_lines_menu

QList<QMenu*> DisplayForm::d_lines_menu
| protected

## ◆ d_marker_alpha_menu

QList<MarkerAlphaMenu*> DisplayForm::d_marker_alpha_menu
| protected

## ◆ d_menu

QMenu* DisplayForm::d_menu
| protected

## ◆ d_menu_on

bool DisplayForm::d_menu_on
| protected

## ◆ d_nplots

unsigned int DisplayForm::d_nplots
| protected

## ◆ d_samp_rate_act

PopupMenu* DisplayForm::d_samp_rate_act
| protected

## ◆ d_save_act

QAction* DisplayForm::d_save_act
| protected

## ◆ d_stop_act

QAction* DisplayForm::d_stop_act
| protected

## ◆ d_stop_state

bool DisplayForm::d_stop_state
| protected

## ◆ d_system_specified_flag

bool DisplayForm::d_system_specified_flag
| protected

## ◆ d_update_time

double DisplayForm::d_update_time
| protected

The documentation for this class was generated from the following file:

- displayform.h